Skip to main content
`Ctrl`+`K`

# VecCreateSeq

Creates a standard, sequential array-style vector.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecCreateSeq(MPI_Comm comm, PetscInt n, Vec *v)

Collective

## Input Parameters

- comm - the communicator, should be `PETSC_COMM_SELF`

- n - the vector length

## Output Parameter

- v - the vector

## Notes

It is recommended to use `VecCreateFromOptions()` instead of this routine

Use `VecDuplicate()` or `VecDuplicateVecs()` to form additional vectors of the same type as an existing vector.

## See Also

Vectors and Parallel Data, `Vec`, `VecType`, `VecCreateMPI()`, `VecCreate()`, `VecDuplicate()`, `VecDuplicateVecs()`, `VecCreateGhost()`

## Level

intermediate

## Location

src/vec/vec/impls/seq/vseqcr.c

## Examples

src/ksp/ksp/tutorials/ex43.c
src/ksp/pc/tutorials/ex2.c
src/tao/complementarity/tutorials/minsurf1.c
src/snes/tutorials/ex1f.F90
src/ksp/ksp/tutorials/ex88f.F90
src/dm/tutorials/ex25.c
src/ksp/ksp/tutorials/ex89f.F90
src/dm/field/tutorials/ex1.c
src/ksp/pc/tutorials/ex1.c
src/tao/leastsquares/tutorials/chwirut1.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages